ApiPortal
List portal skills
List skills visible in the portal. Returns only skills where portal_visible=true, ordered by download count.
Authorization
User API Key AuthorizationBearer <token>
User API key (mgw_usr_live_* or mgw_usr_test_*)
In: header
Query Parameters
page?integer
Page number
Default
1Range
1 <= valuepage_size?integer
Items per page
Default
20Range
1 <= value <= 100search?|
Search by name
category?|
Filter by category
Cookie Parameters
access_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/portal/skills"{
"items": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"description": "string",
"portal_category": "string",
"portal_tags": [
"string"
],
"source_type": "string",
"download_count": 0,
"created_at": "2019-08-24T14:15:22Z"
}
],
"total": 0,
"page": 0,
"page_size": 0
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}